<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\TeilnehmerInfo\SammelEMail;

class SammelEMailUseCase extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\SammelEMail\SammelEMailUseCase
{
  public static function getToolSectionId()
  {
    return 686;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_VA;
  }

  protected function getRechteKey()
  {
    return '687.0.4';
  }

  protected function isShowingEMail(): bool
  {
    return $this->toolSettings->emailAnTeilnehmerShowEMail;
  }
}